Subject: The 4 lists are merged

From: dwells (Don Wells)
Date: Tue, 8 Mar 94 22:28:33 EST

Dear friends,

Tonight I completed the first round of editing of the fully merged
database. I have edited all of the automatically-merged records which
contained the "similar" message. I have deleted many of the redundant
Gopher resources. I have repaired various URLs. I have added some
descriptive text. The result is now released into production, and all
of you are welcome to use http://fits.cv.nrao.edu/www/yp_master.html
(155 KB) as you see fit.

There are additional redundant records which need to be
merged/deleted. More descriptive text needs to be added to <DD>..</DD>
fields.  Classifications need to be checked/corrected. The URLs need
to pass through Bob's testing program. Resource reports which have
arrived in recent weeks need to be added.  I hope that the three of
you will join me in doing this work. I will be willing and able to
merge your revised resource records with the existing file (or else
you can run dtsort.awk to do it).

I recommend that we proceed with the invitation to Anton in Australia.
I will be willing and able to merge his database with ours.

I am willing and able to add code to compute emulations of the styles
of existing resource pages. I will be happy to advise/assist others if
they wish to do this work. 

I append the output from the final run. There are 577 resources in the
database; I expect that more than 500 of these are unique.

-Don

cd /fits/dwells/astroweb/
make -k all update install
rm -f yp_*.html
touch temp_tail.html; /home/fits/dwells/bin/getdate.awk  temp_tail.html > temp_tail.html;
cat merged.html  | dtsort.awk -v tail=temp_tail.html \
		-v keys=yp_keys.html -v sort=zone >yp_master.html
dtsort executed by dwells on fits.cv at Tue Mar  8 21:32:28 EST 1994
 577 resource records read.
   1 resource records edited:
	   2 cases of | |||
     The 'zone'-sort keys have been generated.
4510 pointer-moves done by shellsort.
   0 identical resource records deleted. (n=577)
   0   similar resource records  merged. (n=577)
   2 lines copied from temp_tail.html.
 577 resource records written.
dtcheck.awk <yp_master.html
 598 blocks checked,    0 match failures.
ls -lg merged.html yp_master.html
-rw-r--r--  1 dwells   aipspgmr   154854 Mar  8 21:31 merged.html
-rw-r--r--  1 dwells   aipspgmr   155374 Mar  8 21:33 yp_master.html
touch temp_tail.html; /home/fits/dwells/bin/getdate.awk  temp_tail.html > temp_tail.html;
dtsplit.awk -v style=nrao  <yp_master.html
 577 resource records from input
  13 records >> temp_radio.html
  37 records >> temp_optical.html
  20 records >> temp_space.html
   8 records >> temp_solar.html
   5 records >> temp_survey.html
   5 records >> temp_weather.html
  55 records >> temp_center.html
  14 records >> temp_infosys.html
  28 records >> temp_dept.html
   4 records >> temp_society.html
  26 records >> temp_agency.html
  59 records >> temp_software.html
   1 records >> temp_document_tools.html
  14 records >> temp_preprint.html
  19 records >> temp_abstracts.html
  12 records >> temp_full_text.html
  15 records >> temp_bibliography.html
   4 records >> temp_library.html
   3 records >> temp_other_library.html
   5 records >> temp_people.html
 106 records >> temp_personal.html
   2 records >> temp_jobs.html
   7 records >> temp_meetings.html
  11 records >> temp_newsgroup.html
   4 records >> temp_astroweb.html
  21 records >> temp_other_astronomy.html
  28 records >> temp_pictures.html
  20 records >> temp_protocols.html
   7 records >> temp_misc.html
   9 records >> temp_earth.html
  33 records >> temp_physics.html
  20 records >> temp_comp_sci.html
   1 records >> temp_cds.html
 ----------------------------------------------------
   1 unrecognized category codes:
	   1 cases of 'deleted'
 ----------------------------------------------------
          temp_radio.html >> yp_observing.html
        temp_optical.html >> yp_observing.html
          temp_space.html >> yp_observing.html
          temp_solar.html >> yp_observing.html
         temp_survey.html >> yp_observing.html
        temp_weather.html >> yp_observing.html
         temp_center.html >> yp_data.html
        temp_infosys.html >> yp_data.html
           temp_dept.html >> yp_organization.html
        temp_society.html >> yp_organization.html
         temp_agency.html >> yp_organization.html
       temp_software.html >> yp_software.html
 temp_document_tools.html >> yp_software.html
       temp_preprint.html >> yp_library.html
      temp_abstracts.html >> yp_library.html
      temp_full_text.html >> yp_library.html
   temp_bibliography.html >> yp_library.html
        temp_library.html >> yp_library.html
  temp_other_library.html >> yp_library.html
         temp_people.html >> yp_people.html
       temp_personal.html >> yp_people.html
           temp_jobs.html >> yp_people.html
       temp_meetings.html >> yp_people.html
      temp_newsgroup.html >> yp_people.html
       temp_astroweb.html >> yp_astroweb.html
temp_other_astronomy.html >> yp_astroweb.html
       temp_pictures.html >> yp_pictures.html
      temp_protocols.html >> yp_misc.html
           temp_misc.html >> yp_misc.html
          temp_earth.html >> yp_misc.html
        temp_physics.html >> yp_misc.html
       temp_comp_sci.html >> yp_misc.html
            temp_cds.html >> yp_misc.html
ls -lg temp_*.html
-rw-r--r--  1 dwells   aipspgmr      122 Mar  8 21:33 temp_tail.html
ls -lg yp_*.html
-rw-r--r--  1 dwells   aipspgmr     4421 Mar  8 21:34 yp_astronomy.html
-rw-r--r--  1 dwells   aipspgmr     6402 Mar  8 21:34 yp_astroweb.html
-rw-r--r--  1 dwells   aipspgmr    23242 Mar  8 21:34 yp_data.html
-rw-r--r--  1 dwells   aipspgmr    63317 Mar  8 21:33 yp_keys.html
-rw-r--r--  1 dwells   aipspgmr    27138 Mar  8 21:34 yp_library.html
-rw-r--r--  1 dwells   aipspgmr   155374 Mar  8 21:33 yp_master.html
-rw-r--r--  1 dwells   aipspgmr    20684 Mar  8 21:34 yp_misc.html
-rw-r--r--  1 dwells   aipspgmr    34476 Mar  8 21:34 yp_observing.html
-rw-r--r--  1 dwells   aipspgmr    15110 Mar  8 21:34 yp_organization.html
-rw-r--r--  1 dwells   aipspgmr    24285 Mar  8 21:34 yp_people.html
-rw-r--r--  1 dwells   aipspgmr     7351 Mar  8 21:34 yp_pictures.html
-rw-r--r--  1 dwells   aipspgmr    19410 Mar  8 21:34 yp_software.html
touch temp_tail.html; /home/fits/dwells/bin/getdate.awk  temp_tail.html > temp_tail.html;
cat yp_master.html | dtsort.awk -v tail=temp_tail.html \
		-v keys=yp_p_keys.html -v sort=protocol \
		>yp_p_list.html
dtsort executed by dwells on fits.cv at Tue Mar  8 21:34:43 EST 1994
 577 resource records read.
   0 resource records edited:
     The 'protocol'-sort keys have been generated.
4872 pointer-moves done by shellsort.
   0 identical resource records deleted. (n=577)
   0   similar resource records  merged. (n=577)
   2 lines copied from temp_tail.html.
 577 resource records written.
dtcheck.awk <yp_p_list.html
 588 blocks checked,    0 match failures.
touch temp_tail.html; /home/fits/dwells/bin/getdate.awk  temp_tail.html > temp_tail.html;
cat temp_tail.html head_astro_info_0.html \
			>head_astro_info.html
dtsplit.awk -v style=stecf <yp_master.html
 577 resource records from input
  14 records >> temp_preprint.html
  19 records >> temp_abstracts.html
  20 records >> temp_bibliography.html
  12 records >> temp_full_text.html
   7 records >> temp_meetings.html
   5 records >> temp_weather.html
   4 records >> temp_society.html
 104 records >> temp_radio.html
  95 records >> temp_center.html
  28 records >> temp_pictures.html
  60 records >> temp_software.html
   5 records >> temp_people.html
   2 records >> temp_jobs.html
  41 records >> temp_protocols.html
 ----------------------------------------------------
   8 unrecognized category codes:
	  20 cases of 'comp_sci'
	   1 cases of 'cds'
	  11 cases of 'newsgroup'
	   9 cases of 'earth'
	   7 cases of 'misc'
	 106 cases of 'personal'
	   1 cases of 'deleted'
	  33 cases of 'physics'
 ----------------------------------------------------
       temp_preprint.html >> yp_astro_info.html
      temp_abstracts.html >> yp_astro_info.html
   temp_bibliography.html >> yp_astro_info.html
      temp_full_text.html >> yp_astro_info.html
       temp_meetings.html >> yp_astro_info.html
        temp_weather.html >> yp_astro_info.html
        temp_society.html >> yp_astro_info.html
          temp_radio.html >> yp_astro_info.html
         temp_center.html >> yp_astro_info.html
       temp_pictures.html >> yp_astro_info.html
       temp_software.html >> yp_astro_info.html
         temp_people.html >> yp_astro_info.html
           temp_jobs.html >> yp_astro_info.html
      temp_protocols.html >> yp_astro_info.html
dtnodd.awk <yp_astro_info.html >temp_astro_info.html
 468 blocks read
 241 <DD>...</DD> segments deleted
mv temp_astro_info.html yp_astro_info.html
mv merged.html merged_save.html
rm -f merged.html 
touch merged.html 
# cp -p yp_master.html merged.html
cp -p yp_p_list.html merged.html
ls -lg merged.html 
-rw-r--r--  1 dwells   aipspgmr   155009 Mar  8 21:35 merged.html
rm -f ../yp_*.html
cp -p yp_*.html ..

Compilation finished at Tue Mar  8 21:37:00